#include <avr/pgmspace.h>

#include "config.h"
#include "gpio.h"
#include "util.h"

static const uint8_t ThresholdValues[] PROGMEM =
{
	/* J1  J2  */
	/* ON  ON  */  170,
	/* ON  OFF */  150,
	/* OFF ON  */  160,
	/* OFF OFF */  0,
};

uint8_t GetBlinkThreshold(void)
{
	uint8_t value = 0;
	const uint8_t index = GetGpioItemValue(GPIO_ITEM_CFG_THRESHOLD);

	if (index < ARRAY_SIZE(ThresholdValues))
	{
		value = pgm_read_byte_near(&ThresholdValues[index]);
	}

	return value;
}
