#include <stdbool.h>

#include "detector.h"
#include "messages.h"

void InitPulseDetector(struct PulseDetector *detector, enum GpioItemId samplePinId)
{
	detector->samplePinId = samplePinId;
	detector->lastSampleState = GetGpioItemValue(detector->samplePinId);
}

void SamplePulse(struct PulseDetector *detector)
{
	bool sampleState = GetGpioItemValue(detector->samplePinId);

	if (sampleState == false && detector->lastSampleState == true)
	{
		// Falling edge detected
		PostMessage(MSG_PULSE_DETECTED);
	}

	detector->lastSampleState = sampleState;
}

bool GetSampleState(struct PulseDetector *detector)
{
	return detector->lastSampleState;
}
