#ifndef DISPLAY_H
#define DISPLAY_H

#include <stdbool.h>
#include <stdint.h>

#include "gpio.h"

enum DisplayModes
{
	DISPLAY_STATIC_OFF,
	DISPLAY_STATIC_ON,
	DISPLAY_BLINKING,
};

struct DisplayDigit
{
	enum GpioItemId driverId;
	uint8_t pattern;
};

struct MultiplexDisplay
{
	enum GpioItemId segmentsId;
	struct DisplayDigit *digits;
	uint8_t digitCount;
	uint8_t multiplexPos;
	enum DisplayModes mode;
	bool blinkingPhase;
};

void InitDigit(struct DisplayDigit *digit, enum GpioItemId driverId);
void InitDisplay(struct MultiplexDisplay *display, enum GpioItemId segmentsId, struct DisplayDigit *digits, uint8_t digitCount);
void SetDisplayValue(struct MultiplexDisplay *display, uint16_t value);
void SetDisplayMode(struct MultiplexDisplay *display, enum DisplayModes mode);
void DisplayMultiplexTick(struct MultiplexDisplay *display);
void DisplayBlinkingTick(struct MultiplexDisplay *display);

#endif
