#ifndef MONITOR_H
#define MONITOR_H

#include <stdint.h>
#include "config.h"
#include "messages.h"

enum MonitorState
{
	MONITOR_IDLE,
	MONITOR_LISTENING,
	MONITOR_ACTIVE,
};

struct PulseMonitor
{
	enum MonitorState state;
	uint8_t counters[CFG_UPDATES_PER_MINUTE];
	uint8_t index;
};

void InitPulseMonitor(struct PulseMonitor *monitor);
void HandlePulseMonitorMessage(struct PulseMonitor *monitor, enum MessageId msg);
uint8_t GetMonitorValue(struct PulseMonitor *monitor);

#endif
