#ifndef UTIL_H
#define UTIL_H

#include <stdint.h>
#include <avr/io.h>
#include <avr/interrupt.h>

#define ARRAY_SIZE(a) (sizeof(a)/sizeof((a)[0]))

inline void EnableInterrupts(void)
{
	sei();
}

inline uint8_t DisableInterrupts(void)
{
	uint8_t sreg = SREG;
	cli();
	return sreg;
}

inline void RestoreInterrupts(uint8_t sreg)
{
	SREG = sreg;
}

#endif
